Bug 75693 - Graphical Displays (Gnome, KDE, Firstboot) cause system crash (black sreen) after termination.
Graphical Displays (Gnome, KDE, Firstboot) cause system crash (black sreen) a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: 82787
  Show dependency treegraph
 
Reported: 2002-10-11 01:00 EDT by Matthew Lee
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 14:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Lee 2002-10-11 01:00:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
After a fresh installation from iso cd's, I entered the firstboot setup 
utility.  Upon completion, the system hung with a black screen.  The system did 
not respond to ctrl+alt+backspace or ctrl+alt+del.  The next time I booted the 
system, I interactively bypassed the firstboot program, logged in and got the 
GUI.  However, immediately after I logged out, I received the same type of 
crash.  No response to ctrl+alt+backspace or ctrl+alt+del.  After each manual 
restart via the power button, I found that no matter what GUI (Gnome, KDE, 
firstboot) I see, the system hangs after completion.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot the system
2.Choose firstboot, Gnome, or KDE (possibly others)
3.Complete firstboot, or log out of Gnome or KDE
	

Actual Results:  Black screen, no response to keyboard input and GUI does not 
return; system hangs.

Expected Results:  Firstboot: After completion, GUI w/ login screen should 
appear.

Gnome & KDE: Should be able to logout and login, reboot the system, save 
settings without hanging.

Additional info:

This system was installed on an Intel D815EEAL Motherboard, with integrated 
video.  733 MHz processor with 128 MB sdram. 15 GB IDE HDD.  Standard 8x cdrom 
drive & floppy.

The hdd was formatted before installation.  The operating system was installed 
fresh from ISO cdroms.  Custom option and added in KDE and server packages 
(ftp, dns, http) and several other application packages.

The installation was repeated a second time, with a format before loading.  
Problem persisted.
Comment 1 Henrik 2002-10-15 09:38:55 EDT
I have expirienced exactly the same problem. The screen is black imediately 
after running firstboot. I have not experienced problems during installation or 
recognition of hardware (other than problems with two cd-rom drives). I get no 
errormessages.
Comment 2 Mike A. Harris 2002-11-03 03:51:34 EST
Can you please attach your X server log file and config file from after
a crash.

Also, please change your default runlevel to 3 instead of 5, then try
starting X with "startx" and quitting it.  Does it crash like this also?

Comment 3 Matthew Lee 2002-11-05 10:00:49 EST
Changing to init 3 and using startx:

The X server appears to terminate correctly when I choose the logout option.  I 
am returned to a shell promt.  However, if I choose Shutdown, or Reboot the 
system hangs.  The system will not respond to anything, and I must power cycle 
the machine.

I have two log files for XFree86.  The contents are as follows:

XFree86.0.log
-------------

XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-72) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.18-11smp i686 [ELF] 
Build Host: daffy.perf.redhat.com
 
Module Loader present
OS Kernel: Linux version 2.4.18-17.8.0 (bhcompile@daffy.perf.redhat.com) (gcc 
version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Tue Oct 8 13:51:08 EDT 2002 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Sun Nov  3 08:46:54 2002
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Intel 815"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.5
	XFree86 XInput driver : 0.3
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.3
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x0000281e, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1130 card 8086,4541 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:02:0: chip 8086,1132 card 8086,4541 rev 02 class 03,00,00 hdr 00
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 01 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244b card 8086,4541 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1f:3: chip 8086,2443 card 8086,4541 rev 01 class 0c,05,00 hdr 00
(II) PCI: 00:1f:4: chip 8086,2444 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,2445 card 8086,4541 rev 01 class 04,01,00 hdr 00
(II) PCI: 01:08:0: chip 8086,2449 card 8086,3013 rev 01 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:30:0), (0,1,1), BCTRL: 0x06 (VGA_EN is cleared)
(II) Bus 1 I/O range:
	[0] -1	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[1] -1	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[2] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[3] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xff800000 - 0xff8fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xf6a00000 - 0xf6afffff (0x100000) MX[B]
(II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(0:2:0) Intel i815 rev 2, Mem @ 0xf8000000/26, 0xffa80000/19
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[1] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[2] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[3] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[4] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[5] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[6] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[7] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[8] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[9] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[1] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[2] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[3] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[4] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[5] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[6] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[7] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[8] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[9] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[6] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[8] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[9] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[10] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[11] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[12] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[13] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[14] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[15] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extensionXVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.1.10
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.1
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "i810"
(II) Loading /usr/X11R6/lib/modules/drivers/i810_drv.o
(II) Module i810: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.1.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.3
(II) I810: Driver for Intel i810 chipset: i810, i810-dc100, i810e, i815,
	i830M, 845G
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset i815 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[6] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[8] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[9] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[10] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[11] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[12] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[13] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[14] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[15] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[6] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[8] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[9] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[10] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[11] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[14] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[15] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[16] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[17] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[18] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[19] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[20] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[21] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(**) I810(0): Depth 16, (--) framebuffer bpp 16
(==) I810(0): RGB weight 565
(==) I810(0): Default visual is TrueColor
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) I810(0): initializing int10
(II) I810(0): Primary V_BIOS segment is: 0xc000
(II) I810(0): VESA BIOS detected
(II) I810(0): VESA VBE Version 3.0
(II) I810(0): VESA VBE Total Mem: 1024 kB
(II) I810(0): VESA VBE OEM: Intel(R) 815 Chipset Video BIOS
(II) I810(0): VESA VBE OEM Software Rev: 35.19
(II) I810(0): VESA VBE OEM Vendor: Intel Corporation
(II) I810(0): VESA VBE OEM Product: Intel(R) 815 Chipset
(II) I810(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) I810(0): VESA VBE DDC supported
(II) I810(0): VESA VBE DDC Level 2
(II) I810(0): VESA VBE DDC transfer in appr. 1 sec.
(II) I810(0): VESA VBE DDC read successfully
(II) I810(0): Manufacturer: HWP  Model: 4eb  Serial#: 901626
(II) I810(0): Year: 2000  Week: 9
(II) I810(0): EDID Version: 1.1
(II) I810(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) I810(0): Sync:  Separate
(II) I810(0): Max H-Image Size [cm]: horiz.: 32  vert.: 24
(II) I810(0): Gamma: 2.84
(II) I810(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) I810(0): redX: 0.630 redY: 0.340   greenX: 0.280 greenY: 0.601
(II) I810(0): blueX: 0.145 blueY: 0.061   whiteX: 0.284 whiteY: 0.311
(II) I810(0): Supported VESA Video Modes:
(II) I810(0): 720x400@70Hz
(II) I810(0): 640x480@60Hz
(II) I810(0): 800x600@75Hz
(II) I810(0): 1024x768@60Hz
(II) I810(0): 1024x768@75Hz
(II) I810(0): Manufacturer's mask: 0
(II) I810(0): Supported Future Video Modes:
(II) I810(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) I810(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) I810(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) I810(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) I810(0): Monitor name: HWP
(II) I810(0): Monitor name: D5259A
(II) I810(0): Ranges: V min: 50  V max: 120 Hz, H min: 30  H max: 70 kHz, 
PixClock max 110 MHz
(II) I810(0): Serial No: TH00901626
(--) I810(0): Chipset: "i815"
(--) I810(0): Linear framebuffer at 0xF8000000
(--) I810(0): IO registers at addr 0xFFA80000
(II) I810(0): I810CheckAvailableMemory: 95228k available
(**) I810(0): Will alloc AGP framebuffer: 16384 kByte
(==) I810(0): Using gamma correction (1.0, 1.0, 1.0)
(II) I810(0): Monitor0: Using hsync range of 30.00-70.00 kHz
(II) I810(0): Monitor0: Using vrefresh range of 50.00-120.00 Hz
(II) I810(0): Clock range:  12.00 to 163.00 MHz
(II) I810(0): Not using default mode "320x175" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "360x200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1024x768" (unknown reason)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "576x432" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "640x480" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1280x960" (hsync out of range)
(II) I810(0): Not using default mode "640x480" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1280x1024" (hsync out of range)
(II) I810(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1280x1024" (hsync out of range)
(II) I810(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (hsync out of range)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1792x1344" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "896x672" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1792x1344" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "896x672" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Notusing default mode "1856x1392" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "928x696" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1856x1392" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "928x696" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1920x1440" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1920x1440" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "416x312" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1152x864" (hsync out of range)
(II) I810(0): Not using default mode "576x432" (bad mode 
clock/interlace/doublescan)
(WW) (1400x1050,Monitor0) mode clock 122MHz exceeds DDC maximum 110MHz
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1400x1050" (hsync out of range)
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1400x1050" (hsync out of range)
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1400x1050" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1920x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "960x600" (bad mode 
clock/interlace/doublescan)
(--) I810(0): Virtual size is 1024x768 (pitch 1024)
(**) I810(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) I810(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808 
+hsync +vsync
(**) I810(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) I810(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 
+hsync +vsync
(**) I810(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) I810(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 -
hsync -vsync
(--) I810(0): Display dimensions: (320, 240) mm
(--) I810(0): DPI set to (81, 81)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) I810(0): XvMC is Disabled: use XvMCSurfaces config option to enable.
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xffa80000 - 0xffafffff (0x80000) MS[B]
	[1] 0	0xf8000000 - 0xfbffffff (0x4000000) MS[B]
	[2] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[8] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[9] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[10] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[11] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[12] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[16] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[17] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[18] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[19] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[20] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[21] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[22] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[23] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmGetBusid returned ''
(II) I810(0): [drm] created "i810" driver at busid "PCI:0:2:0"
(II) I810(0): [drm] added 8192 byte SAREA at 0xc894a000
(II) I810(0): [drm] mapped SAREA 0xc894a000 to 0x40013000
(II) I810(0): [drm] framebuffer handle = 0xf8000000
(II) I810(0): [drm] added 1 reserved context for kernel
(II) I810(0): [drm] Registers = 0xffa80000
(II) I810(0): [agp] dcacheHandle : (nil)
(II) I810(0): [agp] GART: no dcache memory found
(II) I810(0): [agp] Bound backbuffer memory
(II) I810(0): [agp] Bound depthbuffer memory
(II) I810(0): [agp] GART: Allocated 4K for mouse cursor image
(II) I810(0): Adding 768 scanlines for pixmap caching
(II) I810(0): Allocated Scratch Memory
(II) I810(0): [dri] Buffer map : bfb000
(II) I810(0): [drm] added 256 4096 byte DMA buffers
(II) I810(0): [drm] dma control initialized, using IRQ 11
(II) I810(0): [dri] visual configs initialized.
(==) I810(0): Write-combining range (0xf8000000,0x4000000)
(II) I810(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22210000: (tab.freq 94.5)
(II) I810(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Horizontal and Vertical Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		24 128x128 slots
		6 256x256 slots
(==) I810(0): Backing store disabled
(==) I810(0): Silken mouse enabled
(**) Option "dpms"
(**) I810(0): DPMS enabled
(II) I810(0): X context handle = 0x00000001
(II) I810(0): [drm] installed DRM signal handler
(II) I810(0): [DRI] installation complete
(==) I810(0): Direct rendering enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(**) Option "Protocol" "IMPS/2"
(**) Mouse1: Protocol: "IMPS/2"
(**) Option "SendCoreEvents"
(**) Mouse1: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse1: ZAxisMapping: buttons 4 and 5
(**) Mouse1: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
AUDIT: Sun Nov  3 08:47:00 2002: 1108 X: client 5 rejected from local host


XFree86.1.log
----------------


XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-72) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 23 January 2002
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.18-11smp i686 [ELF] 
Build Host: daffy.perf.redhat.com
 
Module Loader present
OS Kernel: Linux version 2.4.18-14 (bhcompile@stripples.devel.redhat.com) (gcc 
version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 13:35:50 EDT 2002 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.1.log", Time: Mon Oct 28 20:26:25 2002
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Intel 815"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(++) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.5
	XFree86 XInput driver : 0.3
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.3
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x0000281e, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1130 card 8086,4541 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:02:0: chip 8086,1132 card 8086,4541 rev 02 class 03,00,00 hdr 00
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 01 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244b card 8086,4541 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1f:3: chip 8086,2443 card 8086,4541 rev 01 class 0c,05,00 hdr 00
(II) PCI: 00:1f:4: chip 8086,2444 card 8086,4541 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,2445 card 8086,4541 rev 01 class 04,01,00 hdr 00
(II) PCI: 01:08:0: chip 8086,2449 card 8086,3013 rev 01 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff(0x0) MX[B]
(II) Bus 1: bridge is at (0:30:0), (0,1,1), BCTRL: 0x06 (VGA_EN is cleared)
(II) Bus 1 I/O range:
	[0] -1	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[1] -1	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[2] -1	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[3] -1	0x0000dc00 - 0x0000dcff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xff800000 - 0xff8fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xf6a00000 - 0xf6afffff (0x100000) MX[B]
(II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(0:2:0) Intel i815 rev 2, Mem @ 0xf8000000/26, 0xffa80000/19
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[1] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[2] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[3] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[4] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[5] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[6] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[7] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[8] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[9] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[1] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[2] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[3] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[4] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[5] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[6] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[7] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[8] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[9] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[6] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[8] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[9] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[10] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[11] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[12] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[13] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[14] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[15] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.1.10
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.1
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "i810"
(II) Loading /usr/X11R6/lib/modules/drivers/i810_drv.o
(II) Module i810: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.1.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.3
(II) I810: Driver for Intel i810 chipset: i810, i810-dc100, i810e, i815,
	i830M, 845G
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset i815 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[6] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[8] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[9] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[10] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[11] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[12] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[13] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[14] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[15] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[6] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[8] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[9] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[10] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[11] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[13] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[14] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[15] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[16] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[17] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[18] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[19] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[20] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[21] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(**) I810(0): Depth 16, (--) framebuffer bpp 16
(==) I810(0): RGB weight 565
(==) I810(0): Default visual is TrueColor
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) I810(0): initializing int10
(II) I810(0): Primary V_BIOS segment is: 0xc000
(II) I810(0): VESA BIOS detected
(II) I810(0): VESA VBE Version 3.0
(II) I810(0): VESA VBE Total Mem: 1024 kB
(II) I810(0): VESA VBE OEM: Intel(R) 815 Chipset Video BIOS
(II) I810(0): VESA VBE OEM Software Rev: 35.19
(II) I810(0): VESA VBE OEM Vendor: Intel Corporation
(II) I810(0): VESA VBE OEM Product: Intel(R) 815 Chipset
(II) I810(0): VESA VBE OEM Product Rev: Hardware Version 0.0
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) I810(0): VESA VBE DDC supported
(II) I810(0): VESA VBE DDC Level 2
(II) I810(0): VESA VBE DDC transfer in appr. 1 sec.
(II) I810(0): VESA VBE DDC read successfully
(II) I810(0): Manufacturer: HWP  Model: 4eb  Serial#: 901626
(II) I810(0): Year: 2000  Week: 9
(II) I810(0): EDID Version: 1.1
(II) I810(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) I810(0): Sync:  Separate
(II) I810(0): Max H-Image Size [cm]: horiz.: 32  vert.: 24
(II) I810(0): Gamma: 2.84
(II) I810(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) I810(0): redX: 0.630 redY: 0.340   greenX: 0.280 greenY: 0.601
(II) I810(0): blueX: 0.145 blueY: 0.061   whiteX: 0.284 whiteY: 0.311
(II) I810(0): Supported VESA Video Modes:
(II) I810(0): 720x400@70Hz
(II) I810(0):640x480@60Hz
(II) I810(0): 800x600@75Hz
(II) I810(0): 1024x768@60Hz
(II) I810(0): 1024x768@75Hz
(II) I810(0): Manufacturer's mask: 0
(II) I810(0): Supported Future Video Modes:
(II) I810(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) I810(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) I810(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) I810(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) I810(0): Monitor name: HWP
(II) I810(0): Monitor name: D5259A
(II) I810(0): Ranges: V min: 50  V max: 120 Hz, H min: 30  H max: 70 kHz, 
PixClock max 110 MHz
(II) I810(0): Serial No: TH00901626
(--) I810(0): Chipset: "i815"
(--) I810(0): Linear framebuffer at 0xF8000000
(--) I810(0): IO registers at addr 0xFFA80000
(II) I810(0): I810CheckAvailableMemory: 95228k available
(**) I810(0): Will alloc AGP framebuffer: 16384 kByte
(==) I810(0): Using gamma correction (1.0, 1.0, 1.0)
(II) I810(0): Monitor0: Using hsync range of 30.00-70.00 kHz
(II) I810(0): Monitor0: Using vrefresh range of 50.00-120.00 Hz
(II) I810(0): Clock range:  12.00 to 163.00 MHz
(II) I810(0): Not using default mode "320x175" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "360x200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1024x768" (unknown reason)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "576x432" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "640x480" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1280x960" (hsync out of range)
(II) I810(0): Not using default mode "640x480" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1280x1024" (hsync out of range)
(II) I810(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1280x1024" (hsync out of range)
(II) I810(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (hsync out of range)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1600x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1792x1344" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "896x672" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1792x1344" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "896x672" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1856x1392" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "928x696" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1856x1392" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "928x696" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1920x1440" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1920x1440" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "416x312" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1152x864" (hsync out of range)
(II) I810(0): Not using default mode "576x432" (bad mode 
clock/interlace/doublescan)
(WW) (1400x1050,Monitor0) mode clock 122MHz exceeds DDC maximum 110MHz
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1400x1050" (hsync out of range)
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1400x1050" (hsync out of range)
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1400x1050" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "800x512" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "1920x1200" (bad mode 
clock/interlace/doublescan)
(II) I810(0): Not using default mode "960x600" (bad mode 
clock/interlace/doublescan)
(--) I810(0): Virtual size is 1024x768 (pitch 1024)
(**) I810(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(II) I810(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 808 
+hsync +vsync
(**) I810(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(II) I810(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 
+hsync +vsync
(**) I810(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(II) I810(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 -
hsync -vsync
(--) I810(0): Display dimensions: (320, 240) mm
(--) I810(0): DPI set to (81, 81)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5
(II) I810(0): XvMC is Disabled: use XvMCSurfaces config option to enable.
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xffa80000 - 0xffafffff (0x80000) MS[B]
	[1] 0	0xf8000000 - 0xfbffffff (0x4000000) MS[B]
	[2] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0xff8ff000 - 0xff8fffff (0x1000) MX[B]
	[8] -1	0xffa80000 - 0xffafffff (0x80000) MX[B](B)
	[9] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[10] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[11] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[12] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x0000df00 - 0x0000df3f (0x40) IX[B]
	[16] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[17] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[18] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[19] -1	0x0000efa0 - 0x0000efaf (0x10) IX[B]
	[20] -1	0x0000ef40 - 0x0000ef5f (0x20) IX[B]
	[21] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[22] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[23] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmGetBusid returned ''
(II) I810(0): [drm] loaded kernel module for "i810" driver
(II) I810(0): [drm] created "i810" driver at busid "PCI:0:2:0"
(II) I810(0): [drm] added 8192 byte SAREA at 0xc8a2b000
(II) I810(0): [drm] mapped SAREA 0xc8a2b000 to 0x40013000
(II) I810(0): [drm] framebuffer handle = 0xf8000000
(II) I810(0): [drm] added 1 reserved context for kernel
(II) I810(0): [drm] Registers = 0xffa80000
(II) I810(0): [agp] dcacheHandle : (nil)
(II) I810(0): [agp] GART: no dcache memory found
(II) I810(0): [agp] Bound backbuffer memory
(II) I810(0): [agp] Bound depthbuffer memory
(II) I810(0): [agp] GART: Allocated 4K for mouse cursor image
(II) I810(0): Adding 768 scanlines for pixmap caching
(II) I810(0): Allocated Scratch Memory
(II) I810(0): [dri] Buffer map : bfb000
(II) I810(0): [drm] added 256 4096 byte DMA buffers
(II) I810(0): [drm] dma control initialized, using IRQ 11
(II) I810(0): [dri] visual configs initialized.
(==) I810(0): Write-combining range (0xf8000000,0x4000000)
(II) I810(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) I810(0): Setting dot clock to 94.5 MHz [ 0x3d 0xe 0x20 ] [ 63 16 2 ]
(II) I810(0): chose watermark 0x22210000: (tab.freq 94.5)
(II) I810(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Horizontal and Vertical Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		24 128x128 slots
		6 256x256 slots
(==) I810(0): Backing store disabled
(==) I810(0): Silken mouse enabled
(**) Option "dpms"
(**) I810(0): DPMS enabled
(II) I810(0): X context handle = 0x00000001
(II) I810(0): [drm] installed DRM signal handler
(II) I810(0): [DRI] installation complete
(==) I810(0): Direct rendering enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(**) Option "Protocol" "IMPS/2"
(**) Mouse1: Protocol: "IMPS/2"
(**) Option "SendCoreEvents"
(**) Mouse1: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse1: ZAxisMapping: buttons 4 and 5
(**) Mouse1: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
Comment 4 Mike McLean 2003-01-02 12:36:21 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.
Comment 5 neil v. patel 2004-01-05 15:54:43 EST
I've also experiencd this problem on my system, which is an HP with an
intel celeron 533MHz, 15MB HD, also with an i810 graphics chipset. the
failure of the installation prompted me to try other distributions:
debian stable required the addition of an agpgart device and an
upgraded kernel (to support agpgart) in order to successfully boot
into X. Mandrake-linux 9.2 worked without intervention. perhaps this
problem centers around the video chipset?

unfortuntely, i can't provide configuration files, as the system is
now running mandrake.
Comment 6 jwm hogenboom 2004-06-29 15:31:44 EDT
Additional Comment #6 From jwm hogenboom jaguariuna1@msn.com, on
2004-06-29 12:07

I have a similar problem with boot caused by black screen, and I am a
newbie.
The computer has an integrated Intel 845GL motherboard I guess, with
P4 processor...The Monitor is an HP Pavilion mx50, 15" monitor.  I
have set the display to 800x600, 85 hz through GUI's, which is in line
with the HP recommend settings for this display.
The Linux OS is Fedora Core 2, with either the 2.5 or 2.6 kernel, MY
CHOICE.
FC1 has never had this problem.
The system is dual booting with Windows2000.
Windows2000 NEVER fails to boot the screen.
FC2 is allright right after system installation, it does not hang. 
Gradually, with time, it will start deteriorating.  After that,
everything is intermittent, or impossible.
W2000 NEVER fails to light the screen. And right after a "restart"
from W2000, Linux FC2 NEVER fails to turn on the screen.
GNOME, I guess, has plenty of display models available, to check off.
But it does not have the "hp pavilion mx50", nor the "hp pavilion
mx70", for the other computer I have.
What is the cure to this behavior, to boot Linux after a W2000
"restart", is a darn nuisance, I guess.
Comment 7 Mike A. Harris 2004-09-24 14:04:48 EDT
We believe this issue to be resolved in our currently shipping
OS releases.  Please upgrade to Fedora Core 2 or later, and if this
issue turns out to still be reproduceable, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.